Vagrant could not detect VirtualBox, OS X 10.6.8, RVM, Ruby 1.9.2 & 1.9.3 #562

Closed
joemsak opened this Issue Nov 18, 2011 · 4 comments

Projects

None yet

4 participants

@joemsak
joemsak commented Nov 18, 2011

Hi,

I installed virtualbox 4.1.6

I added 'vagrant' to my gemfile

My project's .rvmrc file has been 1.9.2 and 1.9.3 for my attempts

I ran bundle install

"Installing vagrant (0.5.4)" shown from bundler

I installed the lucid32 box per http://railscasts.com/episodes/292-virtual-machines-with-vagrant

I run $ vagrant init lucid32

and I get the "Vagrant could not detect VirtualBox!" error.

I have read through the issues here and all over google discussions.

I have not found a solution that has worked for me.

Thanks!

@mitchellh
Owner

The problem appears to be that you're running Vagrant 0.5.4. This works with an older version of VirtualBox only. I recommend getting the latest version, as this will work with VirtualBox 4.1.6.

@mitchellh mitchellh closed this Nov 22, 2011
@kevinburke

I'm having the same issue. This is especially annoying because the "Vagrant could not detect VirtualBox!" message seems to be displayed instead of the regular output of commands like vagrant --version or vagrant --help, so I can't even figure out which version of Vagrant I'm running.

@marklit
marklit commented Dec 4, 2011

I'm having the same issue running vagrant-0.8.8 and VirtualBox-4.1.6 on Mac OSX 10.6. I opened a question on superuser prior to seeing this: http://superuser.com/questions/364472/vagrant-complaining-virtual-box-isnt-installed-when-it-is

@kevinburke

YMMV but my problem was that I hadn't actually downloaded the VirtualBox software (it's not included with the gem).

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment